cascading.flow.hadoop.planner.rule.expression

## Class BalanceGroupSplitMergeGroupExpression

- java.lang.Object
- - cascading.flow.planner.rule.RuleExpression
  - - cascading.flow.hadoop.planner.rule.expression.BalanceGroupSplitMergeGroupExpression

    public class BalanceGroupSplitMergeGroupExpression
    extends RuleExpression

### Field Summary

Fields
`static FlowElementExpression` `GROUP`
`static FlowElementExpression` `MERGE`

### Fields inherited from class cascading.flow.planner.rule.RuleExpression

`contractedMatchExpression, contractionExpression, matchExpression`

### Constructor Summary

Constructors
Constructor and Description
`BalanceGroupSplitMergeGroupExpression()`

### Method Summary

### Methods inherited from class cascading.flow.planner.rule.RuleExpression

`getContractedMatchExpression, getContractionExpression, getExpressionName, getMatchExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GROUP

    public static final FlowElementExpression GROUP

#### MERGE

    public static final FlowElementExpression MERGE

### Constructor Detail

#### BalanceGroupSplitMergeGroupExpression

    public BalanceGroupSplitMergeGroupExpression()